Subject: Re: bug#28415: build failure on macOS 10.9.5

From: Tak Kunihiro <[email-masked]>
Date: Tue, 12 Sep 2017 08:00:32 +0900 (JST)

Thank you for the response.

>> I cannot compile emacs.git under macOS 10.9.5.
>> I confirm that I can compile emacs-25.2.tar.gz on my environment.
>> Can you give me suggestions?
>> 
>> I want to test the following commit.
>>  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=79150f6086286294c9e5ed56df5b14c87129cde6
>> 
>> $ git clone https://git.savannah.gnu.org/git/emacs.git
>> $ cd emacs
>> $ make
>> …
>> nsterm.m:2059:46: error: use of undeclared identifier 'NSAppearanceNameVibrantDark'
>>                             appearanceNamed: NSAppearanceNameVibrantDark];
>>                                              ^
>> nsterm.m:7146:44: error: use of undeclared identifier 'NSAppearanceNameVibrantDark'
>>                           appearanceNamed: NSAppearanceNameVibrantDark];
>>                                            ^
>> 2 errors generated.
>> make[1]: *** [nsterm.o] Error 1
>> make: *** [src] Error 2
> 
> Sorry, my mistake. I’ve pushed a fix to master.

I confirmed that I can successfully compile emacs.git on macOS 10.9.5.